#!/bin/bash
. /home/native/.profile
export QTDIR=/usr/lib/ezx
export LIBDIR1=/mmc/mmca1/games/lib/new
export LIBDIR2=/mmc/mmca1/games/lib
myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'$//g'`
export LIBDIR3=$mypath/lib
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR1:$LIBDIR2:$LIBDIR3
export HOME=${mypath}
ExamplPath=$mypath/gl
rm -f ${mypath}exampllist.txt
ls ${ExamplPath} >> ${mypath}exampllist.txt
cat ${mypath}exampllist.txt | sed "s|${ExamplPath}||g" > ${mypath}exampllist.txt
cat ${mypath}exampllist.txt | sed -e 's/^/ -item /g' -e 's/$//g' > ${mypath}exampllist.txt
cat ${mypath}exampllist.txt | sed -e ':a;$!N;s/\n//;ta;' -e 's/$//g' > ${mypath}exampllist.txt
itemlist=`cat ${mypath}exampllist.txt`
ROM=`${mypath}inputbox -t "<h3>PicoGL</h3>" -l "Select a examples" -getitemtext $itemlist | sed -n s/^ItemText=//gp`
if [ "$ROM" = "" ]
then
rm -f ${mypath}exampllist.txt
exit
fi
exec ${ExamplPath}/$ROM
rm -f ${mypath}exampllist.txt
exit
fi